Bug 526058 - Review Request: sil-scheherazade-fonts - SIL Scheherazade Arabic Script Unicode Font
Summary: Review Request: sil-scheherazade-fonts - SIL Scheherazade Arabic Script Unico...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 15:09 UTC by Hedayat Vatankhah
Modified: 2009-10-14 01:46 UTC (History)
3 users (show)

Fixed In Version: 1.001-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-09 20:59:54 UTC
nicolas.mailhot: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hedayat Vatankhah 2009-09-28 15:09:47 UTC
Spec URL: http://hedayat.fedorapeople.org/reviews/sil-scheherazade-fonts/sil-scheherazade-fonts.spec
SRPM URL: http://hedayat.fedorapeople.org/reviews/sil-scheherazade-fonts/sil-scheherazade-fonts-1.001-1.fc11.src.rpm

Description: 
Scheherazade, named after the heroine of the classic Arabian Nights tale, is
designed in a similar style to traditional typefaces such as Monotype Naskh,
extended to cover the full Unicode Arabic repertoire.

It is an extended Arabic script font designed by SIL International for modern
Unicode-based systems using OpenType for complex-script rendering. It supports
virtually all of the Unicode 4.1 Arabic character repertoire (excluding the
Arabic Presentation Forms blocks, which are not recommended for normal use),
and is currently available in Regular weight only.

Comment 1 Hedayat Vatankhah 2009-09-28 15:18:21 UTC
As stated in https://fedoraproject.org/wiki/SIL_Scheherazade_fonts, aliasing of Monotype Naskh should be added (the current package doesn't provide any fontconfig rules). What else?

Comment 2 Nicolas Mailhot 2009-09-30 21:14:53 UTC
Thanks for looking at this font! SIL fonts are usually high quality, it's a shame we do not package all of them yet like other distros do (hint hint)

Package review:

1. current best practice is to avoid using the package name in the summary, please reword it without "SIL Scheherazade" (I know it was not always like this, and we haven't changed evey previous package yet). The reason is that package tools already display the package name next to the summary

2. (minor) you don't really have to use Caps Before Every Word (though that's a matter of preference)

3. (minor) I'm not sure it's a good idea to include your second description §. All this technical mumbo-jumbo is likely to frighten normal users

4. it's not a good idea to depend on dos2unix for txt file conversion, you can usually attain the same results using just sed and iconv. Your package does not build as a result in mock, since dos2unix is not present in the buildroot
+ dos2unix FONTLOG.txt OFL-FAQ.txt OFL.txt
/var/tmp/rpm-tmp.BzkuMA: line 29: dos2unix: command not found

http://fedoraproject.org/wiki/Packaging_tricks#Convert_encoding_to_UTF-8

If you intend to maintain more packages later it's a good idea to setup a mock instance on your system to test for this kind of mistake
http://fedoraproject.org/wiki/Projects/Mock

5. And lastly, please add some fontconfig rules. Just the default set + Monotype Naskh should be enough, unless there is something else you feel would help users. You have standard templates and documentation in fontpackages-devel (though the F11 version may be a little old, install the latest one it will work just fine in F11 too)
http://koji.fedoraproject.org/koji/packageinfo?packageID=7288

And that's all for now

NEEDINFO till you answer those

(PS if you're not member of the packaging group yet, I can sponsor you, but I'll require 2-3 good font package submissions before; we've streamlined the process so much a single submission is not enough to judge if someone will become a good packager anymore)

Comment 3 Hedayat Vatankhah 2009-10-03 15:16:16 UTC
All done. This is the koji build link:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1725774

Sorry for the mistakes in the previous package. I overlooked some details! 
Thanks for the offer. I'm already a packager. 

I hope that this one will pass your filter ;)

Thanks again.

Comment 5 Nicolas Mailhot 2009-10-05 21:12:29 UTC
This one is golden

〠〠〠 APPROVED 〠〠〠

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package a other fonts for Fedora. Please do not hesitate to suggest improvements to our organisation on the fonts mailing list.

Thank you for your contribution to our font package pool.

⇒ REASSIGNING

Comment 6 Hedayat Vatankhah 2009-10-06 08:27:48 UTC
Thanks a lot, I'll go for other steps. :)

Comment 7 Hedayat Vatankhah 2009-10-06 08:30:47 UTC
New Package CVS Request
=======================
Package Name: sil-scheherazade-fonts
Short Description: An Arabic script unicode font
Owners: hedayat
Branches: F10 F11 F12
InitialCC: fonts-sig

Comment 8 Kevin Fenzi 2009-10-06 17:28:17 UTC
cvs done.

Comment 9 Hedayat Vatankhah 2009-10-09 20:51:59 UTC
Thanks Kevin.

Comment 10 Fedora Update System 2009-10-09 21:01:32 UTC
sil-scheherazade-fonts-1.001-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sil-scheherazade-fonts-1.001-2.fc11

Comment 11 Fedora Update System 2009-10-09 21:01:38 UTC
sil-scheherazade-fonts-1.001-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sil-scheherazade-fonts-1.001-2.fc10

Comment 12 Fedora Update System 2009-10-09 21:01:44 UTC
sil-scheherazade-fonts-1.001-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sil-scheherazade-fonts-1.001-2.fc12

Comment 13 Fedora Update System 2009-10-14 01:34:36 UTC
sil-scheherazade-fonts-1.001-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-10-14 01:46:23 UTC
sil-scheherazade-fonts-1.001-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.